#ifndef GAMESCREEN_H
#define GAMESCREEN_H

#include "Screen.h"
#include "../Renderer.h"
#include "../Assets.h"
#include "../Mesh.h"
#include "../Camera.h"
#include "../input/InputHandler.h"

class GameScreen : public Screen {
    public:
    GameScreen(Renderer* renderer, Assets* assets);
    ~GameScreen();

    virtual void hide() override;
    virtual void pause() override;
    virtual void render() override;
    virtual void update() override;
    virtual void resize() override;
    virtual void resume() override;
    virtual void show() override;

    private:
    Renderer* renderer;
    Assets* assets;
    InputHandler* inputHandler;

    OrtographicCamera *camera;
    Mesh *obj;
};

#endif